# API 参照

- [event（イベント）](https://developer.eagle.cool/plugin-api/ja-jp/api/event.md): 必要に応じて、事前にいくつかのコールバック関数を定義しておくことができます。Eagleはイベントが発生した際にそれらを自動的に呼び出します。
- [item（項目）](https://developer.eagle.cool/plugin-api/ja-jp/api/item.md): eagle.item APIを使用すると、現在のリソースリポジトリの内容を簡単に検索したり、新しい内容をリソースリポジトリに追加することができます。
- [folder（フォルダー）](https://developer.eagle.cool/plugin-api/ja-jp/api/folder.md): eagle.folder API を使って、新しいフォルダを簡単に作成したり、現在のアプリケーション内のフォルダにアクセスすることができます。
- [smartFolder（スマートフォルダ）](https://developer.eagle.cool/plugin-api/ja-jp/api/smart-folder.md): eagle.smartFolder API を使用すると、スマートフォルダの作成、検索、変更、削除が簡単に行えます。
- [tag（タグ）](https://developer.eagle.cool/plugin-api/ja-jp/api/tag.md): eagle.tag APIを通じて、現在のアプリケーション内のタグに簡単にアクセスできます。
- [tagGroup（タグ グループ）](https://developer.eagle.cool/plugin-api/ja-jp/api/tag-group.md): eagle.tagGroup APIを通じて、現在のアプリケーション内のタググループに簡単にアクセスできます。
- [library（ライブラリ）](https://developer.eagle.cool/plugin-api/ja-jp/api/library.md): 現在の Eagle が使用しているリソースライブラリの情報を取得します。
- [window（ウィンドウ）](https://developer.eagle.cool/plugin-api/ja-jp/api/window.md): プラグインウィンドウを表示、非表示、フルスクリーンなどのさまざまな操作を制御します。
- [app（アプリケーション）](https://developer.eagle.cool/plugin-api/ja-jp/api/app.md): Eagleアプリケーションのバージョン、アーキテクチャ、言語などの属性を取得する。
- [os（オペレーティングシステム）](https://developer.eagle.cool/plugin-api/ja-jp/api/os.md): Node.js の os モジュールに似て、基本的なシステム操作関数を提供します。
- [screen（スクリーン）](https://developer.eagle.cool/plugin-api/ja-jp/api/screen.md): 画面のサイズ、ディスプレイ、カーソル位置などの情報を取得します。
- [notification（通知）](https://developer.eagle.cool/plugin-api/ja-jp/api/notification.md): 画面の隅でポップアップウィンドウが表示され、ユーザー操作の状態が示されます。
- [contextMenu（コンテキストメニュー）](https://developer.eagle.cool/plugin-api/ja-jp/api/context-menu.md): システムネイティブアプリのコンテキストメニューを作成します。
- [dialog（ダイアログ）](https://developer.eagle.cool/plugin-api/ja-jp/api/dialog.md): システムダイアログ機能を提供します。ファイルを開く、ファイルを保存する、メッセージボックス、エラーボックスなどが含まれます。
- [clipboard（クリップボード）](https://developer.eagle.cool/plugin-api/ja-jp/api/clipboard.md): システムのクリップボードでコピー＆ペースト操作を実行します。
- [drag（ドラッグファイル）](https://developer.eagle.cool/plugin-api/ja-jp/api/drag.md): ネイティブシステムファイルのドラッグアンドドロップ機能を実現する。
- [shell（シェル）](https://developer.eagle.cool/plugin-api/ja-jp/api/shell.md): デフォルトのアプリケーションでファイルとURLを管理する。
- [log（ログ）](https://developer.eagle.cool/plugin-api/ja-jp/api/log.md): Eagle ソフトウェアのログに特定の情報を記録し、開発中のデバッグやエラーの除去に役立てます。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.eagle.cool/plugin-api/ja-jp/api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
